فهرست منبع

scripts: update bash scripts (#2046)

Enzo Venturi 3 سال پیش
والد
کامیت
499188bfcf
2فایلهای تغییر یافته به همراه6 افزوده شده و 2 حذف شده
  1. 3 1
      scripts/clean_disk_cache.sh
  2. 3 1
      scripts/sync_repos.sh

+ 3 - 1
scripts/clean_disk_cache.sh

@@ -1,4 +1,4 @@
-#!/bin/bash -eu
+#!/usr/bin/env bash
 #
 # Part of the Carbon Language project, under the Apache License v2.0 with LLVM
 # Exceptions. See /LICENSE for license information.
@@ -7,6 +7,8 @@
 # Clean out any files in the Bazel disk cache which haven't been used for over
 # thirty days.
 
+set -eu
+
 # Default to the same directory in the project `.blazerc`, but you can set this
 # environment variable to override that.
 : ${BAZEL_DISK_CACHE_PATH:=~/.cache/carbon-lang-build-cache}

+ 3 - 1
scripts/sync_repos.sh

@@ -1,4 +1,4 @@
-#!/bin/bash -eux
+#!/usr/bin/env bash
 #
 # Part of the Carbon Language project, under the Apache License v2.0 with LLVM
 # Exceptions. See /LICENSE for license information.
@@ -7,6 +7,8 @@
 # Sync directories in the main Carbon repository into dedicated child
 # repositories to better match repository-oriented installing and tooling.
 
+set -eux
+
 ORIGIN_DIR="$PWD"
 COMMIT_SHA="$(git rev-parse --short $GITHUB_SHA)"
 COMMIT_SUMMARY="Original $(git show -s --pretty=full "$COMMIT_SHA")